/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *   Copyright (C) 2003-2004 Alain Gibaud <alain.gibaud@free.fr>           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef BINWORDEDITOR_H
#define BINWORDEDITOR_H

class QComboBox;

#include "MemoryDisplayer.h"
class Memory;

class BinWordEditor : public MemorySpaceEditor
{
  Q_OBJECT
public:
  BinWordEditor(Memory &memory, uint address, QWidget *parent);

  virtual void setReadWrite(bool readWrite);

public slots:
  virtual void updateDisplay();

private slots:
  void slotModified();

private:
  uint   _address;
  QMap<QString, QComboBox *> _combos;
};

#endif
