/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef BINWORDSEDITOR_H
#define BINWORDSEDITOR_H

#include <qvaluevector.h>

#include "MemoryDisplayer.h"

class BinWordsEditor : public MemorySpaceEditor
{
  Q_OBJECT
public:
  BinWordsEditor(Memory &memory, QWidget *parent);

  virtual void setReadWrite(bool readWrite);

public slots:
  virtual void updateDisplay();

private:
  QValueVector<MemorySpaceEditor *> _editors;
};

#endif
