/***************************************************************************
                          ProjectEditorWid.cpp  -  description
                             -------------------
    begin                : lun dc 8 2003
    copyright            : (C) 2003 by Alain Gibaud
    email                : alain.gibaud@univ-valenciennes.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef PROJECTEDITORWID_H
#define PROJECTEDITORWID_H

#include <kdialogbase.h>

class QTextEdit;
class QLineEdit;
class QComboBox;
class QCheckBox;

class Project;
class DeviceChooser;

class ProjectEditorWid : public KDialogBase
{
  Q_OBJECT
public:
  ProjectEditorWid(Project *proj, QWidget *parent);

private:
  Project * project;

  QTextEdit *_description;
  QLineEdit *_version;
  DeviceChooser *_device;

  QComboBox *asm_warning, *asm_radix;
  QLineEdit *asm_other, *asm_include;

  QComboBox *link_fformat;
  QCheckBox *link_debug;
  QLineEdit *link_include, *link_other;

public slots:
  void slotOk();
  void slotSelectIncDir();
  void slotSelectLibDir();
};

#endif
