/***************************************************************************
                          pic12F635.cc  -  description
                             -------------------
    begin                : dim jan 2 2005
    copyright            : (C) 2005 by Gibaud Alain
    email                : alain.gibaud@free.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pic12F635.hh"

// NOTE: This class is theoritically convenient for 16F639 but,
// the device id is not documented.
pic12F635::pic12F635()
{
  memaddr2 = 0x3FF ;  // 1K word
  eeaddr2  = 0x21FF ; // 256 bytes
  backup_osccal2 = 0x2009 ; // 2 calibration words !
}
/** No descriptions */
const char * pic12F635::IDs()
{
  return "0FA0" ;  // FIXME: add device ID for 639
}
/** No descriptions */
const char* pic12F635::names()
{
  return "p12f635"; // FIXME: add device name for 639
}
