#ifndef PIC16F628_HH
#define PIC16F628_HH

#include "pic16FXX.hh"


class pic16F628 : public pic16FXX
{
protected:
    
public:
        
    pic16F628() ;
    
    // implementation of the pic class interface
    // see specifications of these methods in pic.hh
  
	  virtual const char *names() ;
    virtual const char *config_bits() ;
  /** 16F628 seems to have problems with the standard 16F84 bulk
erase when disabling code protection.
This code add a erase/programming pass to the data memory
 */
  virtual int erase_pic();
  /** No descriptions */
  virtual const char * IDs();

} ;

#endif
