
#include "pic16F84.hh"


// ========================== 16F84	specific code ======================

pic16F84::pic16F84()  : pic16FXX()
{
    memaddr1 = 0x0 ; memaddr2 = 0x3FF ; // 1024 words
    idaddr1 = 0x2000 ; idaddr2 = 0x2003 ;
    eeaddr1 = 0x2100 ; eeaddr2 = 0x213F ;
    cfaddr1 = cfaddr2  = 0x2007 ;
}



const char * pic16F84::names()
{
    return  "p16f84 p16f84a" ;
}

const char * pic16F84::config_bits()
{
    return "CP(13-4)  /PWTREN[3] WDTEN[2] FOSC[1-0]" ;
}
/** No descriptions */
const char * pic16F84::IDs()
{
	return "0 560" ;
}
