#include <stdio.h>
#include <ctype.h>
#include <getopt.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>


#include "pic16F877.hh"


// ========================== 16F877/876	specific code ======================
//  16F876   TESTED : OK
	
pic16F877::pic16F877()  : pic16F874()
{
    memaddr2 = 0x1FFF ; // 8K  words
    eeaddr2 = 0x21FF ;  // EEPROM : 256 bytes 
}
    
  
const char * pic16F877::names()
{
    return "p16f877 p16f876" ;
}
/** No descriptions */
const char * pic16F877::IDs()
{
	return "9A0 9E0" ;
}
