/***************************************************************************
                          pic16f877a.cc  -  description
                             -------------------
    begin                : jeu nov 13 2003
    copyright            : (C) 2003 by Alain Gibaud
    email                : alain.gibaud@univ-valenciennes.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pic16F877a.hh"

pic16F877a::pic16F877a()
{
    memaddr1 = 0x0 ; memaddr2 = 0x1FFF ; // 8K  words
    eeaddr1 = 0x2100 ; eeaddr2 = 0x21FF ; // 256 bytes
}

/** No descriptions */
const char* pic16F877a::names()
{
  return "p16f877a p16f876a" ;
}
/** No descriptions */
const char* pic16F877a::config_bits()
{
  return "CP[13] 1[12] DEBUG[11]  WRT[10-9] CPD[8] LVP[7]"
          " BOREN[6] 1[5] 1[4] /PWRTEN[3] WDTEN[2] FOSC[1-0]" ; 
}
/** No descriptions */
const char * pic16F877a::IDs()
{
	return "E20 E00" ;
}
