/***************************************************************************
                          pic18F2320.cc  -  description
                             -------------------
    begin                : ??? ??? 2 2003
    copyright            : (C) 2003 by Alain Gibaud
    email                : alain.gibaud@univ-valenciennes.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pic18F2320.hh"

pic18F2320::pic18F2320()
{
    // word adresses !
   // same as 18F1320
}


/** No descriptions */
const char * pic18F2320::config_bits()
{
    return "IESO[15] FCMEM[14] 0(13-12) FOSC[11-8] 0(7-0);"   // 300000
           "0(15-13) WDPS[12-9] WDTEN[8] 0(7-4) BORV1[3] BORV0[2] BOREN[1] /PWRTEN[0];"  // 300002
           "MCLRE[15] 0(14-10) PBADEN[9] CCP2MX[8] 0(7-0);"   // 300004
           "0(15-8) /DEBUG[7] 0(6-3) LVP[2] 0[1] STVREN[0];" // 300006
           "CPD[15] CPB[14] 0(13-4) CP[3-0];"           // 300008
           "WRTD[15] WRTB[14] WTRC[13] 0(12-4) WRT[3-0];"  // 30000A
           "0(15) EBTRB[14] 0(13-4) EBTR[3-0];"  // 30000C
           ;
}

/** No descriptions */
const char * pic18F2320::names()
{
    return "p18f2320 p18f4320" ;

}
/** No descriptions */
const char * pic18F2320::IDs()
{
	return "8500 8520" ;
}
