#ifndef XML_DEVICE_H
#define XML_DEVICE_H

#include <qdom.h>

#include "memory.h"

class XmlDevice
{
public:
  XmlDevice() {}

  void createFile();

private:
  QDomDocument _document;
  QDomElement  _root, _device;

  void addComment(const QString &text);
  void appendDevice(const QString &name);
  void appendMemorySpace(MemorySpace space, const pic_device_mem_spec &spec,
                         const pic_device &device, pic *p, int start, int end);
  void appendConfigBits(const pic_device &device, pic *p);
};

#endif
