/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *   Copyright (C) 2004 Alain Gibaud <alain.gibaud@free.fr>                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef CONFIGCENTER_H
#define CONFIGCENTER_H

class QTabWidget;
class QPushButton;
class ConfigWidget;
class QToolBox;
class QListView;
class QWidgetStack;
class QListViewItem;
class QLabel;
class QSplitter;

#include <kdialogbase.h>

class ConfigCenter : public KDialogBase
{
  Q_OBJECT
public:
  ConfigCenter(QWidget *parent);

  void plugConfigWidget(ConfigWidget *c);

private:
  QLabel *title , *image;
  QListView * confView;
  QWidgetStack * wstack;
  QSplitter *splitv ;

public slots:
  virtual void slotOk();
  void raiseConfigWidget(QListViewItem *item);
};

#endif
