/***************************************************************************
                          pic12F675.hh  -  description
                             -------------------
    begin                : dim nov 23 2003
    copyright            : (C) 2003 by Alain Gibaud
    email                : alain.gibaud@univ-valenciennes.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PIC12F675_HH
#define PIC12F675_HH

#include "pic16FXX.hh"

/**This PIC 12 device have a 14 bits core !!
  *@author Alain Gibaud
  */

class pic12F675 : public pic16FXX  {
public: 
	pic12F675();

  /** For this device the OSCCAL and BG bits must be preserved before
      erasing, and restored after erasing.
  */
  virtual int erase_pic();
  /** No descriptions */
  virtual const char * config_bits();
  /** No descriptions */
  virtual const char * names();
  /** No descriptions */
  virtual int program_pic(ostream &);
  /** No descriptions */
  virtual const char * IDs();
  virtual const char *SPLocs() ;
};

#endif
