/***************************************************************************
                          pic12_16F6XX.hh  -  description
                             -------------------
    begin                : dim jan 2 2005
    copyright            : (C) 2005 by Gibaud Alain
    email                : alain.gibaud@free.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PIC12_16F6XX_HH
#define PIC12_16F6XX_HH

#include "pic16FXX.hh"

/**common code for 12F6XX and 16F6XX
 (12F635,12F636,16F639,12F682,16F684,16F688)
 @author Gibaud Alain
*/

class pic12_16F6XX : public pic16FXX  {
public: 
	pic12_16F6XX();
  virtual void read_pic();
  virtual int program_pic(ostream&) ;
  virtual int erase_pic();
  virtual int verify_pic(ostream & );
  virtual const char *progOptions();
};
#endif
