/***************************************************************************
                          pic16C84.cc  -  description
                             -------------------
    begin                : lun dc 29 2003
    copyright            : (C) 2003 by Alain Gibaud
    email                : alain.gibaud@univ-valenciennes.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pic16C84.hh"

pic16C84::pic16C84()
{
    memaddr1 = 0x0 ; memaddr2 = 0x3FF ; // 1024 words
    idaddr1 = 0x2000 ; idaddr2 = 0x2003 ;
    eeaddr1 = 0x2100 ; eeaddr2 = 0x213F ;
    cfaddr1 = cfaddr2  = 0x2007 ;
}
const char * pic16C84::names()
{
    return  "p16cr84" ;
}

// la variante CP|DP  tient compte d'une specificite du CR84/83
const char * pic16C84::config_bits()
{
    return "CP(13-8) DP[7] CP(6-4) /PWTREN[3] WDTEN[2] FOSC[1-0]" ;
}
