/***************************************************************************
                          picF872.cc  -  description
                             -------------------
    begin                : ven jui 11 2003
    copyright            : (C) 2003 by Alain Gibaud
    email                : alain.gibaud@univ-valenciennes.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pic16F872.hh"

pic16F872::pic16F872()
{
   memaddr2 = 0x7FF ; // 2K  words
   eeaddr2 = 0x213F ;  // EEPROM : 64 bytes
}
const char * pic16F872::names()
{
    return "p16f872 p16f871 p16f870" ;
}
/** No descriptions */
const char * pic16F872::IDs()
{
	return "8E0 D20 D00"  ;
}
