#include <stdio.h>
#include <ctype.h>
#include <getopt.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>


#include "pic16F874.hh"


// ========================== 16F874/873	specific code ======================
// UNTESTED !!!!!
	
pic16F874::pic16F874()
{
    memaddr1 = 0x0 ; memaddr2 = 0xFFF ; // 4K  words
    idaddr1 = 0x2000 ; idaddr2 = 0x2003 ; // idem 16F84
    eeaddr1 = 0x2100 ; eeaddr2 = 0x217F ;  // EEPROM : 128 bytes 
    cfaddr1 = cfaddr2 = 0x2007 ; // idem 16F84
}
    
  
const char * pic16F874::names() 
{
    return  "p16f874 p16f873" ;
}
/** No descriptions */
const char * pic16F874::IDs()
{
	return "920 960" ;
}

const char * pic16F874::config_bits()
{
    return  "CP[13-12] RESV[11] 1[10] WRT[9] CPD[8] LVP[7]"
            " BODEN[6] CP[5-4] /PWRTE[3] WDTE[2] FOSC[1-0]" ;
}
/** No descriptions */
int pic16F874::erase_pic()
{
  unsigned int word = 0x3FFF ;

  pulseEngine("cd,P,B,k0,S,k6,k6,k6,k6,k6,k6,k6,k1,k7,k8,w8000,k1,k7,bpcd" , &word ) ;
  // this is the sequence for non-protected code
  pulseEngine("cd,P,B,k2,S,k1,k7,k8,w8000,k1,k7,k3,S,,k1,k7,k8,w8000,k1,k7,b,p" , &word ) ;
  return 0 ;

}
