/***************************************************************************
                          pic18F1220.cc  -  description
                             -------------------
    begin                : ??? ??? 2 2003
    copyright            : (C) 2003 by Alain Gibaud
    email                : alain.gibaud@univ-valenciennes.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pic18F1220.hh"

pic18F1220::pic18F1220()
{
    // word adresses !
    memaddr1 = 0x0/2 ; memaddr2 = 0x07FF/2 ;
    idaddr1 = 0x200000/2 ;  idaddr2 = 0x200007/2 ;
    eeaddr1 = 0xF00000/2 ; eeaddr2 = 0xF000FF/2 ;
    cfaddr1 = 0x300000/2 ; cfaddr2 = 0x30000D/2 ;
}


/** No descriptions */
const char * pic18F1220::config_bits()
{
    return "IESO[15] FCMEM[14] 0(13-12) FOSC[11-8] 0(7-0);"   // 300000
           "0(15-13) WDPS[12-9] WDTEN[8] 0(7-4) BORV1[3] BORV0[2] BOREN[1] /PWRTEN[0];"  // 300002
           "MCLRE[15] 0(14-10) 0(9-0);"   // 300004
           "0(15-8) /BKBUG[7] 0(6-3) LVP[2] 0[1] STVREM[0];" // 300006
           "CPD[15] CPB[14] 0(13-2) CP[1-0];"           // 300008
           "WDTD[15] WRTB[14] WTRC[13] 0(12-2) WRT[1-0];"  // 30000A
           "0(15) EBTRB[14] 0(13-2) EBTR[1-0];"  // 30000C
           ;
}

/** No descriptions */
const char * pic18F1220::names()
{
    return "p18f1220" ;
}
/** No descriptions */
const char * pic18F1220::IDs()
{
	return "87E0" ;
}
