/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef ICD2_PRG_CONFIG_WIDGET_H
#define ICD2_PRG_CONFIG_WIDGET_H

#include <qcombobox.h>

#include "../ConfigWidget.h"

class Icd2ProgConfigWidget : public ConfigWidget
{
  Q_OBJECT
public:
  Icd2ProgConfigWidget(QWidget *parent);

public slots:
  virtual void doApply();

private:
  QComboBox *_port, *_targetVdd;
};

#endif
