/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef ICD2_PROG_CONFIG_H
#define ICD2_PROG_CONFIG_H

#include "icd2.h"

class Icd2Config
{
public:
  static Icd2::VddSourceType readVddSourceType();
  static void writeVddSourceType(Icd2::VddSourceType type);

  static QString readPort();
  static void writePort(const QString &port);
};

#endif
